Xibo windows client specifications

I am in the process of updating my Xibo deployment from 1.7.5 to 2.3.3. I have the database up-to-date without to many issues. All of my clients are Windows 7 or above however when I try to install on my Win 7 or Win 8 clients it pops up saying that 32-bit versions of Win 7, Win 8, and Win 8.1 are not supported. I don’t have an issue with this except I can’t get to the clients right now due to work-at-home.

My question is: Does an older version of the client that works with older versions of Windows also work with 2.3.3?

You can use Xibo for Windows 2 R202 on Windows 7/8:

R250 and later work on Windows 10 only.

This topic was automatically closed 91 days after the last reply. New replies are no longer allowed.

The Xibo Community site uses cookies. What are cookies?